<!DOCTYPE html>
<html>
	<head>
		<title>Gestion conso</title>
		<?php $titre = 'Gestion conso'; ?>
		<meta charset="UTF-8">
		<?php include 'session.inc.php'; check_login(); ?>
		<link rel="stylesheet" href="style/style.css" />
	</head>

	<body>
    	<?php include("menu.php"); ?>
    	<div  id='contenu'>
    		<?php
    	
				error_reporting(E_ERROR | E_WARNING | E_PARSE | E_NOTICE);
				Include('../database.params.inc.php');
				$link = pg_connect("host=$machine user=$user password=$pwd dbname=$db")or die("Erreur de Connection !<br />".pg_last_error() ) ;

			?>
			<?php

					switch ( $_POST['action'] ) {
						case "add" :
							$nom = htmlentities(trim($_POST['nom']), ENT_QUOTES);
							$type = htmlentities(trim($_POST['type']), ENT_QUOTES);
							$prix = htmlentities(trim($_POST['prix']), ENT_QUOTES);
							$dispo = htmlentities(trim($_POST['dispo']), ENT_QUOTES);
							$temps = htmlentities(trim($_POST['temps']), ENT_QUOTES);
							$info = htmlentities(trim($_POST['info']), ENT_QUOTES);	
								
							$dossier = '../../carte/';
							$fichier = basename($_FILES['img']['name']);
							$taille_maxi = 716800;
							$taille = filesize($_FILES['img']['tmp_name']);
							$extensions = array('.png', '.gif', '.jpg', '.jpeg');
							$extension = strrchr($_FILES['img']['name'], '.'); 

							if(!in_array($extension, $extensions)) {
				     			$erreur = 'Vous devez uploader un fichier de type png, gif, jpg ou jpeg';
							}
							if($taille>$taille_maxi) {
				     			$erreur = 'Le fichier est trop gros...';
							}
							if(!isset($erreur)){
						    	$fichier = strtr($fichier, 'ÀÁÂÃÄÅÇÈÉÊËÌÍÎÏÒÓÔÕÖÙÚÛÜÝàáâãäåçèéêëìíîïðòóôõöùúûüýÿ', 'AAAAAACEEEEIIIIOOOOOUUUUYaaaaaaceeeeiiiioooooouuuuyy');
				     			$fichier = preg_replace('/([^.a-z0-9]+)/i', '-', $fichier);
				     			if(move_uploaded_file($_FILES['img']['tmp_name'], $dossier . $fichier)){
					
									if ( $nom!="" && $type!="" && $prix!="" && $dispo!="" && $temps!="" && $info!=""){
										$query = "INSERT INTO PRODUIT(nom, type, prix, dispo, temps, info, img) VALUES('$nom','$type','$prix','$dispo', '$temps','$info','$fichier')";
										$result = pg_query($link, $query) or die("Erreur SQL !<br />$query<br />".pg_last_error());
									}
									else{
										header('Location: ges_conso.php');
										exit();
									}
								}
							}
							else{
								header('Location: ges_conso.php');
								exit();
							}
						break;

						case "mod" :
							$nom1 = htmlentities(trim($_POST['nom1']), ENT_QUOTES);
							$type1 = htmlentities(trim($_POST['type1']), ENT_QUOTES);
							$prix1 = htmlentities(trim($_POST['prix1']), ENT_QUOTES);
							$dispo1 = htmlentities(trim($_POST['dispo1']), ENT_QUOTES);
							$temps1 = htmlentities(trim($_POST['temps1']), ENT_QUOTES);
							$info1 = htmlentities(trim($_POST['info1']), ENT_QUOTES);

							$prod_list = $_POST['prod_list'];
							if ( $nom1!=""){
								$query = "UPDATE PRODUIT SET nom='$nom1' WHERE id_produit = '$prod_list'";
								$result = pg_query($link, $query) or die("Erreur SQL !<br />$query<br />".pg_last_error()) ;
							}
							else if ( $type1!=""){
								$query = "UPDATE PRODUIT SET type='$type1' WHERE id_produit = '$prod_list'";
								$result = pg_query($link, $query) or die("Erreur SQL !<br />$query<br />".pg_last_error()) ;
							}
							else if ( $prix1!=""){
								$query = "UPDATE PRODUIT SET prix='$prix1' WHERE id_produit = '$prod_list'";
								$result = pg_query($link, $query) or die("Erreur SQL !<br />$query<br />".pg_last_error()) ;
							}
							else if ( $dispo1!=""){
								$query = "UPDATE PRODUIT SET dispo='$dispo1' WHERE id_produit = '$prod_list'";
								$result = pg_query($link, $query) or die("Erreur SQL !<br />$query<br />".pg_last_error()) ;
							}
							else if ( $temps1!=""){
								$query = "UPDATE PRODUIT SET temps='$temps1' WHERE id_produit = '$prod_list'";
								$result = pg_query($link, $query) or die("Erreur SQL !<br />$query<br />".pg_last_error()) ;
							}
							else if ( $info1!=""){
								$query = "UPDATE PRODUIT SET information='$info1' WHERE id_produit = '$prod_list'";
								$result = pg_query($link, $query) or die("Erreur SQL !<br />$query<br />".pg_last_error()) ;
							}
							else{
								header('Location: ges_conso.php');
								exit();	
							}

							$dossier = '../../carte/';
							$fichier = basename($_FILES['img1']['name']);
							$taille_maxi = 716800;
							$taille = filesize($_FILES['img1']['tmp_name']);
							$extensions = array('.png', '.gif', '.jpg', '.jpeg');
							$extension = strrchr($_FILES['img1']['name'], '.'); 

							if(!in_array($extension, $extensions)) {
				     			$erreur1 = 'Vous devez uploader un fichier de type png, gif, jpg ou jpeg';
							}
							if($taille>$taille_maxi) {
				     			$erreur1 = 'Le fichier est trop gros...';
							}
							if(!isset($erreur1)){
						    	$fichier = strtr($fichier, 'ÀÁÂÃÄÅÇÈÉÊËÌÍÎÏÒÓÔÕÖÙÚÛÜÝàáâãäåçèéêëìíîïðòóôõöùúûüýÿ', 'AAAAAACEEEEIIIIOOOOOUUUUYaaaaaaceeeeiiiioooooouuuuyy');
				     			$fichier = preg_replace('/([^.a-z0-9]+)/i', '-', $fichier);
				     			if(move_uploaded_file($_FILES['img1']['tmp_name'], $dossier . $fichier)){
							
								$query = "UPDATE PRODUIT SET img='$fichier' WHERE id_produit = '$prod_list'";
								$result = pg_query($link, $query) or die("Erreur SQL !<br />$query<br />".pg_last_error()) ;
								}
							}
							else{
								header('Location: ges_conso.php');
								exit();	
							}
						break;

						case "sup" :
							$prod_list1 = $_POST['prod_list1'];
							$query = "DELETE FROM PRODUIT WHERE id_produit = '$prod_list1' ;";
							$result = pg_query($link, $query) or die("Erreur SQL !<br />$query<br />".pg_last_error()) ;
						break;
						
						default :
							header('Location: ges_conso.php');
							exit();
					}

					header('Location: ges_conso.php');
					exit();
				?>
			</section>
		</div>
	</body>
</html>